using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ProjectileCollisionBehaviour : MonoBehaviour
{
    public ProjectileAmmoCollision projectile;

    void OnCollisionEnter2D(Collision2D other)
    {
        Debug.Log("On collision");
        if (projectile)
        {
            projectile.OnHit(this);
        }
    }
}
